aboutsummaryrefslogtreecommitdiffstats
path: root/agents/demo/tools.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-07-09 21:17:12 +0800
committerGitHub <noreply@github.com>2024-07-09 21:17:12 +0800
commit02e335c99526fe52dee0d0a016aee6bf62d874c2 (patch)
tree48d347d9d1652cfa62ec778de65509952534b8ff /agents/demo/tools.sh
parent0dbdc9e7109b77895743a6d8d11b83caf906e726 (diff)
downloadllm-functions-docker-02e335c99526fe52dee0d0a016aee6bf62d874c2.tar.gz
refactor: demo tools/agents (#67)
Diffstat (limited to 'agents/demo/tools.sh')
-rwxr-xr-xagents/demo/tools.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/agents/demo/tools.sh b/agents/demo/tools.sh
new file mode 100755
index 0000000..4b5849b
--- /dev/null
+++ b/agents/demo/tools.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -e
+
+# @cmd Get the system info
+get_sysinfo() {
+ echo "OS: $(uname)"
+ echo "Arch: $(arch)"
+ echo "User: $USER"
+}
+
+# See more details at https://github.com/sigoden/argc
+eval "$(argc --argc-eval "$0" "$@")"